<?php 

$id = $_POST['id'];
$pega_data_recebimento = $_POST['data_recebimento'];

$trata_data_recebimento = explode("-", $pega_data_recebimento);

$data_recebimento = $trata_data_recebimento[2]."-".$trata_data_recebimento[1]."-".$trata_data_recebimento[0];



 function geraTimestamp($data) {
    $partes = explode('-', $data);
    $tratada = $partes[2].'-'.$partes[1].'-'.$partes[0];
    return $tratada;
  }



function verificarVinculo($idparcela){
   include "conexao.php";
   $query = "SELECT vinculo FROM parcelas  WHERE idparcelas = '$idparcela'";
   $executa = mysqli_query($db,$query) or die ("erro ao listar numero do vinculo");
   $busca = mysqli_fetch_assoc($executa);
   $vinculo = $busca['vinculo'];
          if($vinculo != '' || $vinculo != null){
                 return true;
          }else{
                return false;
          }
}


function somarParcelasVinculadas($vinculo){
      include "conexao.php";
      $query = "SELECT valor_parcelas FROM parcelas WHERE vinculo = '$vinculo' AND fluxo = 0  ORDER BY cab DESC";
      //echo $query;
      $executa = mysqli_query($db, $query) or die ("erro ao somar parcelas vinculadas");
      $val = 0;
      while($buscar_amigo = mysqli_fetch_assoc($executa)){
         $val = $val + $buscar_amigo['valor_parcelas'];           
      }
      return $val;
}


function pegaParcelasVinculo($vinculo){
   include "conexao.php";
    //echo "entrei na funçao";
    $query = "SELECT idparcelas FROM parcelas WHERE vinculo = '$vinculo' AND fluxo = 0  ORDER BY cab DESC";
    //echo $query;
    $executa = mysqli_query($db, $query) or die ("erro ao listar parcelas vinculadas");
    while($busca1 = mysqli_fetch_assoc($executa)){
      $parcelas[] = $busca1['idparcelas'];
    }
        return $parcelas;
}



function pegaNumeroVinculo($idparcela){
    include "conexao.php";

    $query = "SELECT vinculo FROM parcelas  WHERE idparcelas = '$idparcela'";
    //echo $query;
    $executa = mysqli_query($db,$query) or die ("erro ao listar numero do vinculo");
    $busca = mysqli_fetch_assoc($executa);
    $vinculo = $busca['vinculo'];
     return $vinculo;

}





function calculaJMDataRec($id, $data, $pega_data){
  include "conexao.php";
  // $hoje = date('Y-m-d');
  $hoje = $data;

  $query_amigo = "SELECT numero_sequencia, cliente_id_novo, empreendimento_id_novo, situacao, tipo_venda, venda_idvenda,descricao, data_vencimento_parcela, valor_parcelas FROM parcelas where idparcelas = $id";
  $executa_query = mysqli_query ($db,$query_amigo);

  $buscar_amigo = mysqli_fetch_assoc($executa_query);

  $data_vencimento_parcela  = $buscar_amigo["data_vencimento_parcela"];
  $valor_parcelas           = $buscar_amigo["valor_parcelas"];
  $descricao                = $buscar_amigo["descricao"];
  $venda_idvenda            = $buscar_amigo["venda_idvenda"];
  $tipo_venda               = $buscar_amigo["tipo_venda"];

  $cliente_id_novo          = $buscar_amigo["cliente_id_novo"];
  $empreendimento_id_novo   = $buscar_amigo["empreendimento_id_novo"];
  $situacao                 = $buscar_amigo["situacao"];
  $numero_sequencia         = $buscar_amigo["numero_sequencia"];

  $query_encargos = "SELECT multa_atraso, juros_atraso FROM `empreendimento` WHERE idempreendimento = '$empreendimento_id_novo'";

  $executa_encargos = mysqli_query($db,$query_encargos);
  $buscar_amigo1 = mysqli_fetch_assoc($executa_encargos);

  $m1 = $buscar_amigo1["multa_atraso"];
  $j1 = $buscar_amigo1["juros_atraso"];

              // $m1 = 2;
              // $j1 = 0.033;



  $time_final_tratar = geraTimestamp($data_vencimento_parcela);
  $time_final = $time_final_tratar;

  $diferenca = strtotime($time_final) - strtotime($hoje); 


  if($diferenca > 0){
    $valor_convertido = $valor_parcelas;
  }else{
    $diferenca2 = strtotime($hoje) - strtotime($time_final); 
    $dias2 = (int)floor( $diferenca2 / (60 * 60 * 24)); // 225 dias
    $multa2 = ($valor_parcelas * ($m1/100));
    $juros2 = ($valor_parcelas * ($j1/100) * $dias2);
    $valor_convertido = $valor_parcelas + $multa2 + $juros2;
}

$time_stamp_pega_data               = geraTimestamp($pega_data);
$time_stamp_data_vencimento_parcela = geraTimestamp($data_vencimento_parcela);


if($time_stamp_pega_data <= $time_stamp_data_vencimento_parcela){

      $dados["valor_juros"]             = "R$".number_format(0.00,2,',','.');
      $dados["valor_multa"]             = "R$".number_format(0.00,2,',','.');
   


}else{


      $dados["valor_juros"]             = "R$".number_format($juros2,2,',','.');
      $dados["valor_multa"]             = "R$".number_format($multa2,2,',','.');
  

}



$dados["valor_total"]           = $valor_convertido;
$dados["data_vencimento_parcela"] = $data_vencimento_parcela;


$dados["valor_parcela"]          = $valor_parcelas;
$dados["valor_total_formatado"] = "R$".number_format($valor_convertido,2,',','.');


return $dados;
}



$dados = calculaJMDataRec($id,$data_recebimento, $pega_data_recebimento);

echo json_encode($dados);


?>